function E0090()
    MNA()CMU("CS_XXXX")FAI(0)
end
function E0091()
    MNA()CMU("CS_XXXX")FAI(1)
end
function E0092()
    MNA()CMU("CS_XXXX")FAI(2)
end
function E0093()
    MNA()CMU("CS_XXXX")FAI(3)
end
function E0094()
    MNA()CMU("CS_XXXX")FAI(4)
end

function Rescue1()
    KEY()
    HMC()
    ANP("Helicopter1","fly")
    ANP("Helicopter1","set_manned")
    ANP("Helicopter1","hover")
    ANP("Bluerobot1","transform_fish")
    ANP("Skydragon1","hover_kazuma")
    CMU("XXXX")
    WAI(16)
    FAI(2)
    FAC("kazuma_normal")MS3("所以你们现在是打算游泳逃出去，")NOD()
    CAT("\n但又没有人会游泳？")NOD()CLR()
    FAC("curly_normal")CAT("\n差不多是这种情况...")NOD()CLR()
    FAC("professorbooster_normal")CAT("听到这个我可来劲了，")NOD()
    CAT("\n因为我刚好有一个")
    CAT("\n可以把目标变成鱼的法杖。")NOD()CLO()
    WAI(32)
    ANP("ProfessorBooster1","back",0)
    WAI(32)
    ANP("ProfessorBooster1","show_wand")
    WAI(32)
    ANP("ProfessorBooster1","normal",0)
    WAI(32)
    ANP("ProfessorBooster1","normal",1)
    WAI(32)
    FAC("misery_normal")MS3("\n！")NOD()CLR()
    CAT("这不是变鱼杖吗。")NOD()
    CAT("\n老爷子，你已经会使用它了吗？")NOD()CLR()
    FAC("professorbooster_normal")CAT("完全没问题，")NOD()
    CAT("\n在飞来路上前我已经练过很多次了。")NOD()CLR()
    FAC("misery_normal")CAT("那行~")NOD()
    CAT("\n我来给你的法杖进行进行强化充能，")NOD()
    CAT("\n射击方向就交给你了。")NOD()CLR()
    FAC("professorbooster_normal")CAT("\n了解！")NOD()CLR()
    FAC("curly_normal")CAT("喂！")NOD()
    CAT("\n你们有在听吗？")NOD()CLR()
    FAC("kazuma_normal")CAT("啊，是这样的，")NOD()
    CAT("\n我们准备打算往你们的地点")
    CAT("\n打入一个巨大的变鱼法术")
    CAT("\n来让你们逃离那。")NOD()CLR()
    FAC("curly_normal")CAT("\n我明白了~")NOD()CLO()
    FAO(2)
    TRA("CS_fortress_escape","Escape2",0,0)
end

function Rescue2()
    KEY()
    HMC()
    MNP("Helicopter1",3,20,1)
    MNP("ProfessorBooster1",3,19,1)
    MNP("Bluerobot1",2,19,1)
    MNP("Skydragon1",36,21,0)
    MNP("Misery1",35,3,0)
    ANP("Helicopter1","fly")
    ANP("Helicopter1","set_manned")
    ANP("Helicopter1","hover")
    ANP("Bluerobot1","transform_fish")
    ANP("Skydragon1","hover_kazuma")
    ANP("ProfessorBooster1","show_wand",1)
    ANP("ProfessorBooster1","magic",1)
    SNP("CS_giantmagicball",20,11,0,"mainLayer","GiantMagicBall1")
    ANP("GiantMagicBall1","charge")
    ANP("Misery1","charge")
    ANP("GiantMagicBall1","set_charge_energy_target")
    ANP("GiantMagicBall1","Misery1")
    SNP("CS_magicthunder",0,0,0,"mainLayer","MagicThunder1")
    ANP("MagicThunder1","set_from")ANP("MagicThunder1","ProfessorBooster1")
    ANP("MagicThunder1","set_from_dxdy")ANP("MagicThunder1",12,-40)
    ANP("MagicThunder1","set_target")ANP("MagicThunder1","GiantMagicBall1")
    CMU("XXXX")
    WAI(16)
    FAI(2)
    WAI(300)
    ANP("GiantMagicBall1","stop")
    ANP("Misery1","normal")
    WAI(32)
    ANP("GiantMagicBall1","down")
    WAI(32)
    ANP("ProfessorBooster1","normal",1)
    ANP("MagicThunder1","set_from_dxdy")ANP("MagicThunder1",26,4)
    WAI(128)
    FAO(2)
    TRA("CS_fortress_escape","Escape3",0,0)
end